Apache Struts API Documentation: Class ContentMapStack

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template.util
Class ContentMapStack

    java.lang.Object
      |
      +--org.apache.struts.taglib.template.util.ContentMapStack

public class ContentMapStack
extends java.lang.Object

This class provides access to a stack of ContentMaps in request scope through static methods.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  David Geary

Constructor Summary
`private` | `ContentMapStack()` No instantiations of this class are allowed.

Method Summary
`static java.util.Stack` | `getStack(javax.servlet.jsp.PageContext pc)` Return a reference to the stack.
`static ContentMap` | `peek(javax.servlet.jsp.PageContext pc)` Peek at the map on top of the stack.
`static ContentMap` | `pop(javax.servlet.jsp.PageContext pc)`
`static void` | `push(javax.servlet.jsp.PageContext pc, ContentMap map)` Push a content map onto the stack.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ContentMapStack

    private ContentMapStack()

  No instantiations of this class are allowed.

Method Detail

### getStack

    public static java.util.Stack getStack(javax.servlet.jsp.PageContext pc)

  Return a reference to the stack. If there is no stack, one is created and placed into request scope associated with the page context.
  Parameters:
    `pc` - The page context associated with a custom tag.

### peek

    public static ContentMap peek(javax.servlet.jsp.PageContext pc)

  Peek at the map on top of the stack.
  Parameters:
    `pc` - The page context associated with a custom tag.

### push

    public static void push(javax.servlet.jsp.PageContext pc,
                            ContentMap map)

  Push a content map onto the stack.
  Parameters:
    `pc` - The page context associated with a custom tag.
    `map` - A content map that gets pushed onto the stack.

### pop

    public static ContentMap pop(javax.servlet.jsp.PageContext pc)

  Parameters:
    `pc` - The page context associated with a custom tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation